Cyberduck Mountain Duck CLI

#9280 closed enhancement (fixed)

Support updating modification date

Reported by: Ich745 Owned by: dkocher
Priority: normal Milestone: 4.8
Component: webdav Version: 4.7.3
Severity: critical Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description (last modified by Ich745)

I mountet a WebDav URL with MountainDuck to a Drive in Windows 10. It's an Owncloud 8.2.2 Server and I want to sync files via robocopy.

First Run:

  • Mount the Drive
  • start robocopy
  • Files are marked as OLDER and NEWER (correct) and upload starts
  • in Windows Explorer the timestamp on all files on the WebDav Site are correct
  • unmount the Drive
  • mount the Drive again
  • all uploaded files on the WebDav Site have the timestamp of the upload time!

Second Run

  • start robocopy (same parameter like above)
  • Files are marked as NEWER (correct but should not!)
  • Upload all files again
  • same above...

It seems there's a problem, that the timestamp on the server is not set correct and a sync does not work.

For your information: I set the option to sync timestamps in Cyperduck how it is required for sync in CyberDuck.

Attachments (1)

webdav_file.png (15.9 KB) - added by Ich745 on Mar 1, 2016 at 8:25:39 PM.
local and remote file

Download all attachments as: .zip

Change History (7)

comment:1 Changed on Feb 17, 2016 at 5:50:39 AM by Ich745

  • Description modified (diff)

comment:2 Changed on Feb 17, 2016 at 2:29:47 PM by dkocher

  • Milestone set to 4.8
  • Status changed from new to assigned

Unfortunately the {DAV:}lastmodified property in WebDAV is usually read-only and cannot be modified with a PROPPATCH request. However it looks like ownCloud is an exception to this rule and we will look into this.

comment:3 Changed on Feb 17, 2016 at 2:30:04 PM by dkocher

  • Summary changed from File Timestamp not set with MountainDuck to Support updating modification date

comment:4 Changed on Feb 17, 2016 at 3:38:52 PM by dkocher

  • Type changed from defect to enhancement
  • Version set to 4.7.3

comment:5 Changed on Feb 23, 2016 at 11:03:51 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r19428.

Changed on Mar 1, 2016 at 8:25:39 PM by Ich745

local and remote file

comment:6 Changed on Mar 1, 2016 at 8:28:07 PM by Ich745

The problem still exists. I attached a screenshot from my system. Left is the local file, right the remote on the OwnCloud Server. I use MountainDuck 1.2.1 which is the latest version.

The created date is set to the same value as the changed date. So you cannot use robocopy because then always the file is marked as newer...

Note: See TracTickets for help on using tickets.
swiss made software